tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation Struct Reference
Inheritance diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation:
Collaboration diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation:

## Public Types

enum | e_op_type { op_retive , op_signal_end_of_usage }

## Public Member Functions

| aggregator_operation (e_op_type operation_type)
void | cast_and_handle (self_type &container)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

e_op_type | my_operation_type
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename key_type, typename value_type, typename value_functor_type = value_type (*)(key_type)>
struct tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation

Definition at line 195 of file concurrent_lru_cache.h.

## Member Enumeration Documentation

## e_op_type

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

enum tbb::interface6::concurrent_lru_cache::aggregator_operation::e_op_type

Enumerator
op_retive |
op_signal_end_of_usage |

Definition at line 196 of file concurrent_lru_cache.h.

{op_retive, op_signal_end_of_usage};
tbb::interface6::concurrent_lru_cache::aggregator_operation::op_retive
@ op_retive
Definition: concurrent_lru_cache.h:196
tbb::interface6::concurrent_lru_cache::aggregator_operation::op_signal_end_of_usage
@ op_signal_end_of_usage
Definition: concurrent_lru_cache.h:196

## Constructor & Destructor Documentation

## aggregator_operation()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::aggregator_operation | ( | e_op_type | operation_type | ) |

inline

Definition at line 200 of file concurrent_lru_cache.h.

: my_operation_type(operation_type) {}
tbb::interface6::concurrent_lru_cache::aggregator_operation::my_operation_type
e_op_type my_operation_type
Definition: concurrent_lru_cache.h:199

## Member Function Documentation

## cast_and_handle()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

void tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::cast_and_handle | ( | self_type & | container | ) |

inline

Definition at line 201 of file concurrent_lru_cache.h.

{
if (my_operation_type==op_retive){
static_cast<retrieve_aggregator_operation*>(this)->handle(container);
}else{
static_cast<signal_end_of_usage_aggregator_operation*>(this)->handle(container);
}
}
tbb::interface6::concurrent_lru_cache::handle
handle_object handle
Definition: concurrent_lru_cache.h:79

References tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::my_operation_type, and tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::op_retive.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::handle_operations().

Here is the caller graph for this function:

## Member Data Documentation

## my_operation_type

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

e_op_type tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::my_operation_type

Definition at line 199 of file concurrent_lru_cache.h.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation::cast_and_handle().

The documentation for this struct was generated from the following file:

- concurrent_lru_cache.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.